{
  lib,
  rustPlatform,
  stdenv,
}:

rustPlatform.buildRustPackage rec {
  pname = "backend";
  version = "0.1";

  src = ../.;

  cargoLock = {
    lockFile = ../Cargo.lock;
  };

  meta = with lib; {
    platforms = lib.platforms.all;
    mainProgram = "backend";
  };
}
