{
  description = "License Managment tool";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  };

  outputs = inputs@{ self, nixpkgs, ... }: {
    legacyPackages = nixpkgs.lib.attrsets.genAttrs nixpkgs.lib.systems.flakeExposed (system: import ./nix {
      inherit system inputs;
      pkgs = nixpkgs.legacyPackages.${system};
    });
    devShells = nixpkgs.lib.attrsets.genAttrs nixpkgs.lib.systems.flakeExposed (system: {
      default = import ./shell.nix {
        inherit system inputs;
        pkgs = nixpkgs.legacyPackages.${system};
      };
    });
  };
}
